#include <iostream>

using namespace std;

long long factorial(long long n, long long a, long long b) {
    long double x = 1, y = 1, z = 1;
    long long i;
    if (a == 0 && b == 0) {
        return 0;
    }
    if (a == 0 || b == 0) {
        return 1;
    }
    for (i = 1; i <= n; ++i) {
        x *= i / 1e0;
    }
    for (i = 1; i <= a; ++i) {
        y *= i / 1e0;
    }
    for (i = 1; i <= b; ++i) {
        z *= i / 1e0;
    }
    return x / y / z;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
//    freopen("input.txt", "r", stdin);
//    freopen("output.txt", "w", stdout);
    long long t, n, b, a, i, j, ans;
    long double x, y, z;
    cin >> t;
    while (t--) {
        cin >> n >> a >> b;
        if (a > b) {
            swap(a, b);
        }
        ans = 0;
        for (i = max(n - b, 0ll); i <= min(a, n); ++i) {
            if (i + b >= n) {
                j = n - i;
                ans += factorial(n, i, j);
            } else {
                break;
            }
        }
        cout << ans << '\n';
    }
    return 0;
}
