#include <iostream>

using namespace std;

long long factorial(long long n, long long a, long long b) {
    long double z = 1;
    long long i;
    if (a > b) {
        swap(a, b);
    }
    if (b == 0) {
        return 0;
    }
    if (a == 0) {
        return 1;
    }
    if (a == 1) {
        return n;
    }
    for (i = 0; i <= n - a - 1; ++i) {
        z *= a + 1 + i;
        z /= n - a - i;
    }
    return ((long long) z) % (1000000007);
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
//    freopen("input.txt", "r", stdin);
//    freopen("output.txt", "w", stdout);
    long long t, n, b, a, i, j, ans;
    cin >> t;
    while (t--) {
        cin >> n >> a >> b;
        if (a > b) {
            swap(a, b);
        }
        if (a > n) {
            a = n;
        }
        if (b > n) {
            b = n;
        }
        ans = 0;
        for (i = max(n - b, 0ll); i <= min(a, n); ++i) {
            if (i + b >= n) {
                j = n - i;
                ans += factorial(n, i, j);
            } else {
                break;
            }
        }
        cout << ans << '\n';
    }
    return 0;
}